# @(#$Id: recoll.conf,v 1.5 2005-10-20 11:38:53 dockes Exp $  (C) 2004 J.F.Dockes

# Recoll default configuration file. This should be copied to
# ~/.recoll/recoll.conf 

# Space-separated list of directories to index. Next line indexes $HOME
topdirs = ~

# Wildcard expressions for names of files and directories that we should
# ignore:
skippedNames = *~ #* .deps bin CVS  Cache caughtspam

# Debug messages
loglevel = 4
logfilename = stderr

# Languages for which to build stemming databases at the end of
# indexing. Stemmer names can be found on the xapian site
indexstemminglanguages = english french

# Use stemming of query terms or not (ie: expand search for floors to
# floor, flooring, etc... )
querystemming = 1
querystemminglanguage = english

# Name of file suffix to mime-type map file. 
mimemapfile = mimemap
# Name of mime-type to filter type/name map file. 
mimeconffile = mimeconf

# Where to store the database.
dbdir = ~/.recoll/xapiandb

# Default character set. Values found inside files, ie content tag in html
# documents, will override this. It can be specified per directory (see
# below). Used when converting to utf-8 (internal storage format).
defaultcharset = iso-8859-1
defaultlanguage = english

# Guessing charsets usually does not work well
guesscharset = 0

# You could specify different parameters for a subdirectory like this. No
# tilde substitution there for now, sorry:
#[/home/me/englishdocs/plain]
#defaultcharset = iso-8859-2

